org.eclipse.net4j.acceptor

## Interface IAcceptor

- All Superinterfaces:
    Closeable, IContainer<IConnector>, INotifier
  All Known Subinterfaces:
    IHTTPAcceptor, IJVMAcceptor, InternalAcceptor, ITCPAcceptor
  All Known Implementing Classes:
    Acceptor

      public interface IAcceptor
      extends IContainer<IConnector>, Closeable

  Accepts incoming connection requests from `client` `connectors` and creates the appropriate `server` connectors.

  Since the process of accepting connection requests is heavily dependent on the implementation of the respective connectors the only public API is introspection and notification.

  This interface is not intended to be implemented by clients. Service providers must extend the abstract `Acceptor` class.

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IConnector[]` | `getAcceptedConnectors()` Returns an array of the connectors that have been accepted by this acceptor and not been closed since.

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getAcceptedConnectors

          IConnector[] getAcceptedConnectors()

      Returns an array of the connectors that have been accepted by this acceptor and not been closed since.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html